This is an enterprise-only feature. Please contact us to enable.
1. Link to the connect page
Open it in the user’s browser (or a web view) with aredirect_uri you control, and an optional nonce.
link to open
2. Receive the result
After a successful connection, the redirect sends the browser to yourredirect_uri with the result appended as query parameters.
redirect we send
networkId is the CAIP-2 id of the network the wallet is on. It is not network, the Phantom Solana session cluster. See Network fields.
3. Read it on your callback
On yourredirect_uri, read the parameters off the URL.
callback.ts